#include <bits/stdc++.h>

using namespace std;

struct polje{
    int x,y;
};

int n,res;
polje p[200005];

void n_2(){

    if(p[1].x == p[2].x or p[1].y == p[2].y){
        printf("1\n");
    }
    else{
        printf("0\n");
    }

}

int main(){

    scanf("%d", &n);

    for(int i=1; i<=n; i++){
        scanf("%d%d", &p[i].x, &p[i].y);
    }
    if(n==2){
        n_2();
    }
    else printf("0\n");


 return 0;
}